{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .btn-payment {
            float: right;
            color: #fff;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        .even {background: rgba(0,0,0,.075);}
        .odd {background: rgba(0,0,0,.075);}
    </style>
    
    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 3px 5px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
          margin: 12px 30px 0px;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
    </style>
{% endblock %}

{% block content %}
    <head>
        <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
        <title>{% block title %} Allowances {% endblock %}</title>
    </head>

    <form class="from-horizontal" method="post" enctype="multipart/form-data">
        {% csrf_token %}
        <span style="margin-top: -15px;" id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        <h1 style="margin-top: -18px;" class="back-list">Allowances</h1>
        <section class="content-header col-content">
            <div class="row">
                {% if flagList == False %}
                <div class="col-xs-6 col-sm-5 col-md-5 col-customer">
                    
                    <p class="creatBtn-wrapper">
                        <button type="submit"><a href="{% url 'create_allowance' %}">Create</a></button>
                        <button type="submit"><a href="{% url 'import_allowance' %}">Import</a></button>
                        <button type="submit" name="export" class="export">Export</button>
                    </p>
                </div>
                {% else %}
                    <div class="col-xs-6 col-sm-5 col-md-5 col-customer"></div>
                {% endif %}

                <div class="col-xs-6 col-sm-7 col-md-7 text-right">
                    <div class="row">
                        <div class="col-md-12">
                            {% if data_list.has_other_pages %}
                            <ul class="pagination col-pagination pg-blue" style="vertical-align: middle;">
                                {% if data_list.has_previous %}
                                <li class="page-item">
                                    <a class="page-number"
                                       href="?page={{ data_list.previous_page_number }}{%if flagList == True%}&&list=1 {% endif %}" aria-label="Previous">
                                        &laquo;
                                    </a>
                                </li>

                                {% else %}
                                <li class="page-item disabled">
                                    <a class="page-link" href="">
                                        <span>&laquo;</span>
                                    </a>
                                </li>
                                {% endif %}


                                {% for i in data_list.paginator.page_range %}
                                {% if data_list.number == i %}
                                <li class="page-item active">
                                    <a class="page-link" href="#">
                                        {{ i }}
                                    </a>
                                </li>

                                {% else %}
                                <li class="page-item">
                                    <a class="page-link" href="?page={{ i }}{%if flagList == True%}&&list=1 {% endif %}">
                                        {{ i }}
                                    </a>
                                </li>

                                {% endif %}
                                {% endfor %}
                                {% if data_list.has_next %}


                                <li class="page-item">
                                    <a class="page-number"
                                       href="?page={{ data_list.next_page_number }}{%if flagList == True%}&&list=1 {% endif %}">
                                        &raquo;
                                    </a>
                                </li>
                                {% endif %}
                            </ul>
                            {% endif %}

                            <div class="search-container text-right" style="display: inline-block;">
                                <form class="search-form">
                                    <input id="allowanceSearch" class="form-control txt-search" value="{{search}}"
                                           type="text" placeholder="Search.." name="search">
                                    <button id="btnSearch" class="btn-search" type="submit">
                                        <i class="fa fa-search"></i>
                                    </button>
                                </form>
                            </div>
                        </div>

                    </div>
                    <!--{% autoescape off %}-->
                        <!--<span style="color:green; float: right"><b>{{querycount}}</b></span>-->
                    <!--{% endautoescape off %}-->
                </div>
            </div>
            <div class="row">
                <address class="col-cust-add col-business-add">
                    <span style="background-color: #00c0ef;border-color: #00acd6;">
                        Total Number Of Allowances: {{sum_of_allowances|default:"0"}}
                    </span>

                    <span style="background-color: #f39c12;border-color: #e08e0b;">
                        Total Number Of Dealers: {{number_of_dealers|default:"0"}}
                    </span>
                </address>
            </div>
        </section>

        <section>
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>Dealer</th>
                        <th>B</th>
                        <th>M</th>
                        <th>VOL</th>
                        <th>VAL</th>

                        {% if request.user.is_superuser %}
                            <th>Action</th>
                        {% endif %}
                    </tr>
                </thead>
                <tbody>
                    {% if data_list|length > 0 %}
                        {% for data in data_list %}
                            <tr>
                                <td>{{data.dealer}}.{{data.company_name}}</td>
                                <td>Percent: {{data.b.percent|default:"---"}}<br>Amount: {{data.b.amount|default:"---"}}</td>
                                <td>Percent: {{data.m.percent|default:"---"}}<br>Amount: {{data.m.amount|default:"---"}}</td>
                                <td>Percent: {{data.vol.percent|default:"---"}}<br>Amount: {{data.vol.amount|default:"---"}}</td>
                                <td>Percent: {{data.val.percent|default:"---"}}<br>Amount: {{data.val.amount|default:"---"}}</td>

                                {% if request.user.is_superuser %}
                                    <td>
                                        <a href="{% url 'edit_allowance' data.allowance_master_id  %}">
                                            <span class="glyphicon glyphicon-edit"></span>
                                        </a>

                                        <!--<a data-goto-page="{% url 'delete_allowance' data.allowance_master_id  %}" rel="group" class="btn btn-danger btn-xs btn-3d" data-toggle="modal" data-target="#modal-danger">-->
                                            <!--<span data-toggle="tooltip" data-state="danger" data-placement="top" title="Delete" class="glyphicon glyphicon-trash"></span>-->
                                        <!--</a>-->
                                    </td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                    {% else %}
                        <tr>
                            {% if request.user.is_superuser %}
                                <td colspan="6" style="text-align:center;">Data not available</td>
                            {% else %}
                                <td colspan="5" style="text-align:center;">Data not available</td>
                            {% endif %}
                        </tr>
                    {% endif %}
                </tbody>
            </table>

            <!--<table class="table table-bordered">-->
                <!--<thead>-->
                    <!--<tr>-->
                        <!--<th>Dealer Code</th>-->
                        <!--<th>Product Category Code</th>-->
                        <!--<th>Discount Percent</th>-->
                        <!--<th>Discount Amount</th>-->
                        <!--<th>Action</th>-->
                    <!--</tr>-->
                <!--</thead>-->
                <!--<tbody>-->
                    <!--{% if data_list|length > 0 %}-->
                        <!--{% for data in data_list %}-->
                            <!--<tr>-->
                                <!--<td>{{data.dealer.user_code}}</td>-->
                                <!--<td>{{data.scheme_category_code}}</td>-->
                                <!--<td>{{data.discount_percent}}</td>-->
                                <!--<td>{{data.discount_amount}}</td>-->
                                <!--<td>-->
                                    <!--<a href="{% url 'edit_allowance' data.allowance_master_id  %}">-->
                                        <!--<span class="glyphicon glyphicon-edit"></span>-->
                                    <!--</a>-->

                                    <!--<a data-goto-page="{% url 'delete_allowance' data.allowance_master_id  %}" rel="group" class="btn btn-danger btn-xs btn-3d" data-toggle="modal" data-target="#modal-danger">-->
                                        <!--<span data-toggle="tooltip" data-state="danger" data-placement="top" title="Delete" class="glyphicon glyphicon-trash"></span>-->
                                    <!--</a>-->
                                <!--</td>-->
                            <!--</tr>-->
                        <!--{% endfor %}-->
                    <!--{% else %}-->
                        <!--<tr><td colspan="5" style="text-align:center;">Data not available</td></tr>-->
                    <!--{% endif %}-->
                <!--</tbody>-->
            <!--</table>-->
        </section>
    </form>

    <div id="modal-danger" class="modal fade modal-alert modal-danger">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new" style="background-color:#e46050 !important">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Delete</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to delete?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <a id="confirm-id" class="btn btn-danger btn-3d">Yes</a>
                    <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}
    <script>
        $(document).ready(function(){
            $('a[rel="group"]').on('click', function(e){
                var url = $(this).data("goto-page");
                $("#confirm-id").attr("href", url);
            });
        });
    </script>
{% endblock %}
